security:
    encoders:
        App\Entity\User: bcrypt
    providers:
        database_users:
            entity:
                class: App\Entity\User
                property: username
    firewalls:
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false
        main:
            pattern: ^/
            anonymous: ~
            http_basic: ~
            provider: database_users
            form_login:
                login_path: user_login
                check_path: user_login
                default_target_path: admin_index
            logout:
                path: user_logout
                target: user_login

    # Easy way to control access for large sections of your site
    # Note: Only the *first* access control that matches will be used
    access_control:
    - { path: ^/login, roles: IS_AUTHENTICATED_ANONYMOUSLY }
    - { path: ^/admin, roles: ROLE_ADMIN }
